// JQuery Document

var privateMessagePopup = {};

privateMessagePopup.closeListener = function()
{
	$("#private_message_popup_close_link").click(function()
	{
		$("#private_message_popup").fadeOut();
		return false;
	});
};

Drupal.behaviors.privateMessagePopup = function()
{
	var popupContents = "<div id=\"private_message_popup\">";
	var unreadCount = {"!unread" : Drupal.settings.privateMessagePopup.unreadCount};
	popupContents += "<p>" + Drupal.t("You have !unread new private messages", unreadCount) + "</p>";
	popupContents += "<p><a href=\"" + Drupal.settings.basePath + "messages\">" + Drupal.t("Read Private Messages") + "</a></p>";
	popupContents += "<p><a id=\"private_message_popup_close_link\" href=\"#\">" + Drupal.t("Close popup") + "</a></p>";
	popupContents += "</div>";
	$("body").append(popupContents);
	if(jQuery.browser.msie && jQuery.browser.version <= 6)
	{
		$("#private_message_popup").css("position", "absolute");
	}
	$("#private_message_popup").fadeIn("slow");
	privateMessagePopup.closeListener();
};